include ../../Makefile.site

GOAL = whois_rip

default: $(GOAL)

RIPLIBS =  -lripsv -lripud -lriprx -lripth -lrippw -lripco -lriper -lripip -lrippr -lripqc -lriput -lripwk -lrippc -lripsq -lripsk -lripqi -lripwh -lripdf -lripma -lripac -lriprp -lriprx -lripnh -lripta -lripca -lrippm -lripaa -lriper

defs: $(RIPDEFS)
	cd ../../defs; $(MAKE); cd ../bin/rip

modules:
	cd ../../modules; $(MAKE); cd ../bin/rip

$(GOAL): $(GOAL).o
	$(CC) -o $(GOAL) $(GOAL).o $(RIPLIBS) $(LFLAGS) $(OPTS)
	@echo done 

$(GOAL).o: $(GOAL).c $(HEADERS)
	$(CC) -c $(CFLAGS) $(GOAL).c


# Redundant rules
compile: $(GOAL).o 

link: $(GOAL)

# To use purify
purify: $(GOAL).o
	purify $(CC) -o $(GOAL) $(GOAL).o $(RIPLIBS) $(LFLAGS) $(OPTS)

clean:
	${RM} core *.o $(GOAL)

